#!/bin/bash

set -eu

REPO_PATH=/run/repo
WEB_PATH=/run/html

. /app/data/config.sh

if [ "$REPO_URL" == "" ]; then
  echo "No REPO_URL set!"
  exit 1
fi

if ! [ -d "$REPO_PATH" ]; then
  git clone "$REPO_URL" "$REPO_PATH"
fi

cd "$REPO_PATH"
git pull
git submodule init
git submodule update

zola build

if [ "$COMPRESS_CMD" != "" ]; then
  echo "Compressing files..."
  find public -type f -name '*.css' -size +5k -exec $COMPRESS_CMD '{}' \;
  find public -type f -name '*.js' -size +5k -exec $COMPRESS_CMD '{}' \;
  find public -type f -name '*.html' -size +5k -exec $COMPRESS_CMD '{}' \;
fi

echo "Updating webpage..."
mkdir -p "$WEB_PATH"
rsync -av --del public/ "$WEB_PATH/"